ABELLA(1)

NAME

abella - Run Abella in batch or interactive mode.

SYNOPSIS

abella [OPTION]… [FILE]

ARGUMENTS

FILE
    An Abella development to process in batch mode. The FILE must end with the extension .thm. If no FILE is provided, Abella runs in interactive mode.

OPTIONS

-a, --annotate
    Annotation mode: change Abella output to JSON format.

-c FILE, --compile=FILE
    Save compiled Abella development to FILE instead of the default location. By default, in batch mode, the compiled version of file.thm is saved to file.thc, while in interactive mode the compiled development is not saved anywhere.

-f FLAGS, --flags=FLAGS
    Intialize Abella flags based on FLAGS, which is a comma-separated list of key=value pairs. Unknown flags are silently ignored.

-i  Switch to interactive mode after processing input.

-N, --non-recursive
    Do not recursively invoke Abella for imports.

-o FILE, --output=FILE
    Save all output to FILE.

--verbosity=NUM (absent=0)
    Set verbosity to NUM.

(Deprecated) -M
    Does nothing; use abella_dep instead.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

SEE ALSO

abella_dep(1), abella_doc(1)

BUGS

File bug reports at <https://github.com/abella-prover/abella/issues>